#!/bin/bash

declare -a approximation_modes=("original" "laser" "ser")

for am in ${approximation_modes[@]}
do
    echo "Running cosine analysis on ${am} bert:"
    python cosine_wic.py --model bert-base-uncased --batchsize 128 --device cuda:1 --approximation_mode ${am}
done


